%global editline_ver    3.1-15
%global src_dirs        org test

Name:          libreadline-java
Version:       0.8.0
Release:       51%{?dist}
Summary:       Java wrapper for the EditLine library
License:       LGPLv2+
URL:           http://java-readline.sf.net/
Source0:       http://download.sf.net/java-readline/%{name}-%{version}-src.tar.gz
Source1:       %{name}-%{version}-pom.xml
Patch0:        %{name}-ncurses.patch
Patch1:        %{name}-libdir.patch
Patch2:        %{name}-editline.patch

BuildRequires: gcc
BuildRequires: java-devel >= 1.4.2
BuildRequires: javapackages-local
BuildRequires: libedit-devel >= %{editline_ver}
BuildRequires: ncurses-devel

Requires:      java-headless >= 1.4.2
Requires:      libedit >= %{editline_ver}

%description
libreadline-java provides Java bindings for libedit though a JNI
wrapper.

%package javadoc
Summary:       Javadoc for %{name}
BuildArch:     noarch

%description javadoc
API documentation for %{name}.

%prep
%setup -q
%patch0
%patch1
%patch2
sed -i 's|@LIBDIR@|%{_libdir}|' src/org/gnu/readline/Readline.java

sed -i 's|javadoc |javadoc -Xdoclint:none |' Makefile

%mvn_file net.sourceforge:%{name} %{name}

%build
export JAVA_HOME=%{java_home}
export PATH=$JAVA_HOME/bin:$JAVA_HOME/jre/bin:$PATH
make CFLAGS="$RPM_OPT_FLAGS -fPIC -DPOSIX" T_LIBS=JavaEditline
make apidoc

# fix debuginfo package
rm -f %{src_dirs}
for dir in %{src_dirs}
do
  ln -s src/$dir
done

%install

# install jar file and JNI library under %%{_libdir}/%%{name}
# FIXME: fix jpackage-utils to handle multilib correctly
mkdir -p %{buildroot}%{_libdir}/%{name}
install -m 755 libJavaEditline.so %{buildroot}%{_libdir}/%{name}
%mvn_artifact %{SOURCE1} %{name}.jar
ln -sf %{_jnidir}/%{name}.jar %{buildroot}%{_libdir}/%{name}/%{name}.jar
%mvn_install -J api

%files -f .mfiles
%doc ChangeLog NEWS README README.1st VERSION
%dir %{_libdir}/%{name}
%attr(-,root,root) %{_libdir}/%{name}/*
%license COPYING.LIB

%files javadoc -f .mfiles-javadoc
%license COPYING.LIB

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-51
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-50
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-49
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 08 2018 Mat Booth <mat.booth@redhat.com> - 0.8.0-48
- Add missing BR on gcc

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-47
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-46
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-45
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-44
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jun 27 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.8.0-43
- Port to new editline API

* Thu Feb 04 2016 gil cattaneo <puntogil@libero.it> 0.8.0-42
- fix jar file symlink (rhbz#1304865)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-41
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-40
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 16 2015 Than Ngo <than@redhat.com> - 0.8.0-39
- bump release and rebuild so that koji-shadow can rebuild it
  against new gcc on secondary arch

* Tue Feb 10 2015 gil cattaneo <puntogil@libero.it> 0.8.0-38
- introduce license macro

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-37
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-36
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 29 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.8.0-35
- Use .mfiles generated during build

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.8.0-34
- Use Requires: java-headless rebuild (#1067528)

* Tue Aug 06 2013 gil cattaneo <puntogil@libero.it> 0.8.0-33
- add maven pom
- add %%pre javadoc script
- minor changes to adapt to current guideline

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 30 2010 Alexander Kurtakov <akurtako@redhat.com> 0.8.0-27
- Drop gcj.
- Adapt to current guidelines.

* Fri Jan 15 2010 Andrew Overholt <overholt@redhat.com> 0.8.0-26
- Fix License

* Mon Jan 11 2010 Andrew Overholt <overholt@redhat.com> 0.8.0-25
- Add Public Domain to License

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 14 2008 David Walluck <dwalluck@redhat.com> 0.8.0-22
- add unversioned javadoc symlink
- remove unnecessary gcc-java requirement
- fix permissions

* Thu Aug  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.8.0-21
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.0-20
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.8.0-19
- Rebuild for selinux ppc32 issue.

* Thu Jul  5 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 0.8.0-18
- Specify full path to libedit backing library.
- Default to libedit backing library.
- Satisfy termcap requirements with ncurses.
- Resolves: rhbz#231209

* Mon Mar 26 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 0.8.0-17
- Honor $RPM_OPT_FLAGS.

* Mon Mar 26 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 0.8.0-16
- Install jar file and JNI library under libdir.
- Group BuildRequires and Requires.
- Eliminate devel subpackage.
- Remove ldconfig requirements.
- Reformat.

* Fri Mar 23 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 0.8.0-15
- Fix libJavaEditline.so symlink typo.

* Fri Mar 23 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 0.8.0-14
- Rebuild against unorphaned libedit.

* Fri Sep 08 2006 Igor Foox <ifoox@redhat.com> 0.8.0-13
- Changed summary and description to describe the change to editline.

* Fri Sep 08 2006 Igor Foox <ifoox@redhat.com> 0.8.0-12
- Remove dependency on readline and readline-devel.
- Add dependency on libedit{,-devel}, change make argument to JavaEditline
  from JavaReadline.

* Fri Sep 08 2006 Igor Foox <ifoox@redhat.com> 0.8.0-11
- Doubled percent signs in changelog section.
- Fixed dependency on readline to be >= instead of =.
- Move jar to %%{_javadir} from %%{_jnidir}
- Added dist tag.
- Added COPYING.LIB to doc files.

* Mon Jun 26 2006 Igor Foox <ifoox@redhat.com> 0.8.0-10jpp_3fc
- Moved the unversioned .so file into a -devel package 
- Changed Group of the -javadoc package to Development/Libraries

* Fri Jun 23 2006 Igor Foox <ifoox@redhat.com> 0.8.0-10jpp_2fc
- Remove Vendor and Distribution tags
- Change group to Development/Libraries
- Removed Epoch, and Epoch in Requires for libreadline
- Added (post) and (postun) to Requires of /sbin/ldconfig
- Changed Source0 to use the version and name macros
- Fixed debuginfo package

* Wed May 31 2006 Igor Foox <ifoox@redhat.com> 0:0.8.0-10jpp_1fc
- Natively compile
- Changed BuildRoot to what Extras expects

* Wed Nov 09 2005 Fernando Nasser <fnasser@redhat.com> 0:0.8.0-10jpp
- Rebuild for readline 5.0

* Tue Mar 29 2005 David Walluck <david@jpackage.org> 0:0.8.0-9jpp
- fix duplicate files in file list
- set java bins in path

* Tue Nov 2 2004 Nicolas Mailhot <nim@jpackage.org> -  0:0.8.0-8jpp
- Move jars into %%{_jnidir}

* Tue Nov 2 2004 Nicolas Mailhot <nim@jpackage.org> -  0:0.8.0-7jpp
- Replace build dep on termcap-devel with dep on %%{_libdir}/libtermcap.so
  (needed on RH/FC systems)

* Sat Oct 09 2004 David Walluck <david@jpackage.org> 0:0.8.0-6jpp
- rebuild for JPackage 1.5 devel

* Thu Jan 30 2003 David Walluck <david@anti-microsoft.org> 0:0.8.0-5jpp
- rebuild for JPackage 1.5

* Thu Jan 30 2003 David Walluck <david@anti-microsoft.org> 0.8.0-4jpp
- AutoReqProvides: no
- Strict requires on readline version and /sbin/ldconfig

* Sun Jan 26 2003 David Walluck <david@anti-microsoft.org> 0.8.0-3jpp
- set JAVA_HOME/bin in PATH

* Wed Jan 22 2003 David Walluck <david@anti-microsoft.org> 0.8.0-2jpp
- 1jpp was missing %%changelog
